"""CMFExtFile initialization module.
"""

__version__ = '1.0.2'

cmfextfile_globals = globals()


def initialize(context):
    """Initialize the CMFExtFile product."""

    from Products.CMFCore.DirectoryView import registerDirectory
    registerDirectory('skins', cmfextfile_globals)

    from Products.CMFCore.utils import ContentInit
    from Products.CMFCore.utils import ToolInit
    from Products.CMFCore.permissions import AddPortalContent

    import CMFExtFile
    import CMFExtImage

    ContentInit('CMF ExtFile Content',
        content_types=(CMFExtFile.CMFExtFile, CMFExtImage.CMFExtImage),
        permission=AddPortalContent,
        extra_constructors=(CMFExtFile.addExtFile, CMFExtImage.addExtImage),
        fti=CMFExtFile.factory_type_information + CMFExtImage.factory_type_information,
    ).initialize(context)

    import extfiletool

    ToolInit('CMF ExtFile Tool',
        tools=(extfiletool.ExtFileTool,),
        icon='tool.gif',
    ).initialize(context)

