
from Acquisition import aq_base
from Products.ExtFile import ExtFile
from Products.CMFExtFile.config import manage_titles


def copy_of_protect(id):
    match = ExtFile.copy_of_re.match(id)
    if match is not None:
        id = id[len(match.group(1)):]
    return id


def afterAdd(ob, event):
    """ ObjectAddedEvent handler """
    # We have been added, make sure there is a title
    if manage_titles(ob) and not ob.Title():
        ob.setTitle(ob.getId())


def afterMove(ob, event):
    """ ObjectMovedEvent handler """
    from zope.app.container.interfaces import IObjectAddedEvent
    from zope.app.container.interfaces import IObjectRemovedEvent
    if IObjectAddedEvent.providedBy(event):
        return
    if IObjectRemovedEvent.providedBy(event):
        return
    if aq_base(event.oldParent) is not aq_base(event.newParent):
        return
    if event.oldName == event.newName:
        return
    # We have been renamed, sync the title with the new id
    oldNames = (event.oldName, copy_of_protect(event.oldName))
    if manage_titles(ob) and ob.Title() in oldNames:
        ob.setTitle(ob.getId())
        ob.reindexObject()

