
from Products.CMFCore.utils import getToolByName
from Products.CMFExtFile.extfiletool import ExtFileTool
from Products.ExtFile import ExtImage

try:
    from OFS import subscribers
except ImportError:
    subscribers = None


def _get_property(self, property_id, default=None):
    tool = getToolByName(self, ExtFileTool.id, None)
    if tool is not None:
        return tool.getProperty(property_id, default)
    return default

def _get_attribute(self, attribute_id, default=None):
    tool = getToolByName(self, ExtFileTool.id, None)
    if tool is not None:
        return getattr(tool, attribute_id, default)
    return default


def manage_titles(self):
    # Title management requires events
    if subscribers is None:
        return False
    prop = _get_attribute(self, 'manage_titles', False)
    return bool(prop)

def cache_manager(self):
    prop = _get_property(self, 'cache_manager', '')
    return str(prop)

def preview_mode(self):
    prop = _get_property(self, 'create_previews', False)
    return bool(prop) and ExtImage.GENERATE or ExtImage.NO_PREVIEW

def preview_maxx(self):
    prop = _get_property(self, 'preview_maxx', ExtFileTool.preview_maxx)
    return int(prop)

def preview_maxy(self):
    prop = _get_property(self, 'preview_maxy', ExtFileTool.preview_maxy)
    return int(prop)

def preview_ratio(self):
    prop = _get_property(self, 'preview_ratio', ExtFileTool.preview_ratio)
    return bool(prop)

