
from Products.CMFTestCase import CMFTestCase
from Products.CMFTestCase import layer

CMFTestCase.installProduct('CMFExtFile')
CMFTestCase.setupCMFSite(products=('CMFExtFile',))

from Globals import package_home
here = package_home(globals())

try:
    from Products.ExtFile import testing
except ImportError:
    from Products.ExtFile.tests import ExtFileTestCase as testing

gifImage = testing.gifImage
jpegImage = testing.jpegImage
tiffImage = testing.tiffImage
notImage = testing.notImage
makeFileUpload = testing.makeFileUpload

default_user = CMFTestCase.default_user
default_password = CMFTestCase.default_password


class ExtFileLayer(layer.CMFSite):

    @classmethod
    def setUp(cls):
        testing.ExtFileLayer.setUp()

    @classmethod
    def tearDown(cls):
        testing.ExtFileLayer.tearDown()


class CMFExtFileTestCase(CMFTestCase.CMFTestCase, testing.ExtFileTestCase):

    if hasattr(testing, 'ExtFileLayer'):
        layer = ExtFileLayer

    local_home = here

    def afterSetUp(self):
        testing.ExtFileTestCase.afterSetUp(self)

    def afterClear(self):
        testing.ExtFileTestCase.afterClear(self)


class FunctionalTestCase(CMFTestCase.Functional, CMFExtFileTestCase):
    pass

