#
# Tool tests
#

from Products.CMFExtFile import testing


class TestExtFileTool(testing.CMFExtFileTestCase):

    def afterSetUp(self):
        testing.CMFExtFileTestCase.afterSetUp(self)
        self.props = self.portal.extfile_properties
        self.props.cache_manager = 'xxx'

        request = self.app.REQUEST
        request.form['preview_maxx'] = 0
        request.form['preview_maxy'] = 0

    def testEditCacheManager(self):
        request = self.app.REQUEST
        request.form['cache_manager'] = 'http_cache_manager'
        self.props.manage_editProperties(request)
        self.assertEqual(self.props.cache_manager, 'http_cache_manager')

    def testEditCacheManagerNone(self):
        request = self.app.REQUEST
        request.form['cache_manager'] = '(None)'
        self.props.manage_editProperties(request)
        self.assertEqual(self.props.cache_manager, '')

    def testEditCacheManagerEmpty(self):
        request = self.app.REQUEST
        request.form['cache_manager'] = ''
        self.props.manage_editProperties(request)
        self.assertEqual(self.props.cache_manager, '')


def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestExtFileTool))
    return suite

